[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| VectorElementAccessor< ACCESSOR > Class Template Reference Data Accessors |

Accessor for one component of a vector. More...

`#include <vigra/accessor.hxx>`

List of all members.

## Public Types
typedef ACCESSOR::component_type | value_type
## Public Member Functions
template<class ITERATOR >
value_type const & | operator() (ITERATOR const &i) const
template<class ITERATOR , class DIFFERENCE >
value_type const & | operator() (ITERATOR const &i, DIFFERENCE const &diff) const
template<class V , class ITERATOR >
void | set (V const &value, ITERATOR const &i) const
template<class V , class ITERATOR , class DIFFERENCE >
void | set (V const &value, ITERATOR const &i, DIFFERENCE const &diff) const
void | setIndex (int i)
| VectorElementAccessor (int index, ACCESSOR a=ACCESSOR())

## Detailed Description

### template<class ACCESSOR>
class vigra::VectorElementAccessor< ACCESSOR >

Accessor for one component of a vector.

This works like VectorComponentAccessor, only the template parameters differ: Here, we need a vector accessor type , whereas VectorComponentAccessor requires a vector type.

Usage:

        vigra::BRGBImage image(w,h);

        // init red channel with 255
        initImage(destImageRange(image,
                                 VectorElementAccessor<vigra::BRGBImage::Accessor>(0)),
                  255);

#include <vigra/accessor.hxx>
Namespace: vigra

Examples:
  boundarytensor.cxx.

## Member Typedef Documentation

typedef ACCESSOR::component_type value_type

the value_type

## Constructor & Destructor Documentation

VectorElementAccessor | ( | int | index,
|  | ACCESSOR | a = `ACCESSOR()`
| ) |  |

determine the component to be accessed

## Member Function Documentation

value_type const& operator() | ( | ITERATOR const & | i | ) | const

read the current data item

value_type const& operator() | ( | ITERATOR const & | i,
|  | DIFFERENCE const & | diff
| ) |  | const

read the data item at an offset (can be 1D or 2D or higher order difference).

void set | ( | V const & | value,
|  | ITERATOR const & | i
| ) |  | const

Write the current data item. The type `V` of the passed in `value` is automatically converted to `value_type`. In case of a conversion floating point -> integral this includes rounding and clipping.

void set | ( | V const & | value,
|  | ITERATOR const & | i,
|  | DIFFERENCE const & | diff
| ) |  | const

Write the data item at an offset (can be 1D or 2D or higher order difference).. The type `V` of the passed in `value` is automatically converted to `value_type`. In case of a conversion floating point -> integral this includes rounding and clipping.

void setIndex | ( | int | i | ) |

Reset the index to the given number.

The documentation for this class was generated from the following file:

- vigra/accessor.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)